# can re-create from AFS
%{!?rebuildtgz: %define rebuildtgz 0}

Summary: CERN TEX styles 
Name: CERN-texstyles
Version: 4
Release: 4
Source0: %{name}.tar.gz
License: GPL
Group: Applications/Publishing
Prefix: %{_datadir}/texmf
BuildRoot: %{_tmppath}/%{name}-root
Requires(post): /usr/bin/mktexlsr
# this ugly workaround is for the broken tetex dependencies
Requires(post): coreutils 
BuildRequires: /bin/mktemp, /bin/tar
BuildArch: noarch

# no binaries, debuginfo is empty..
%define debug_package %{nil}

%description
CERN-specific TeX styles. The most up-to-date version of these files
can be found on AFS, under /afs/cern.ch/sw/TeXlive.

%prep

%if %rebuildtgz
exclude=`/bin/mktemp -t cern-texstyle-exclude-XXXXXX`

cat >$exclude <<EOFex
bibtex
sty.zip
tex/latex/seminar
dvips/config
dudu
ChangeLog
new
metapost
web2c
xdvi
ls-R
*save
\#*
*~
EOFex

/bin/tar czvf %SOURCE0 -C/afs/cern.ch/sw/TeXlive/tl7 --wildcards --wildcards-match-slash -X"${exclude}" texmf-cern/{doc,fonts,tex,dvips}
%endif

%setup -q -n texmf-cern

%build

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p  $RPM_BUILD_ROOT/%{_datadir}/texmf
cp -a ../texmf-cern/* $RPM_BUILD_ROOT/%{_datadir}/texmf/

%clean
rm -rf $RPM_BUILD_ROOT


%post
/usr/bin/mktexlsr

%files
%defattr(-,root,root)
%{_datadir}/texmf/*

%changelog
* Fri Dec 18 2009 Matthias Schroder <Matthias.Schroder@cern.ch> 4-4
- use Requires(post) for mktexlsr and coreutils Requires(post)

* Fri Dec 18 2009 Matthias Schroder <Matthias.Schroder@cern.ch> 4-3
- add dependency on coreutils, needed by mktexlsr, not made explicit by tetex

* Tue May 29 2007 Jan Iven <jan.iven@cern.ch> 4-2
- update all styles from AFS:
    - "etex/" gone 
    - "dvips/config.ps" and "tex/latex/seminar" removed due to conflict

* Mon Sep 15 2003 Jan Iven <jan.iven@cern.ch> 4-1.1
- Initial build.


